List all CVs
curl --request GET \
--url https://api-service.fribl.co/api/v1/cvs \
--header 'x-api-key: <api-key>'import requests
url = "https://api-service.fribl.co/api/v1/cvs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-service.fribl.co/api/v1/cvs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-service.fribl.co/api/v1/cvs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-service.fribl.co/api/v1/cvs")
.header("x-api-key", "<api-key>")
.asString();{
"message": "<string>",
"length": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"information": {
"first_name": "John",
"last_name": "Doe",
"email": [
"john@example.com"
],
"phone": [
"+31612345678"
],
"linkedin": "https://linkedin.com/in/johndoe",
"github": "https://github.com/johndoe",
"website": "https://johndoe.com",
"address": {
"city": "Amsterdam",
"country": "Netherlands"
}
},
"experience": [
{
"title": "Senior Software Engineer",
"activity_sector": "Technology",
"description": "Led development of microservices architecture",
"duration": 36,
"start_date": "2020-01",
"end_date": "2023-01"
}
],
"education": [
{
"degree": "Master of Science",
"major": "Computer Science",
"score": "Cum Laude",
"institution_name": "University of Amsterdam",
"start_date": "2015-09",
"end_date": "2017-06"
}
],
"skill_descriptions": [
"<string>"
],
"source_language": "<string>",
"hard_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"soft_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10,
"has_more": true
}
}{
"error": "<string>"
}CVs
List all CVs
Retrieve a paginated list of all CVs in your workspace. Results are returned in reverse chronological order with pagination metadata to support incremental loading.
GET
/
cvs
List all CVs
curl --request GET \
--url https://api-service.fribl.co/api/v1/cvs \
--header 'x-api-key: <api-key>'import requests
url = "https://api-service.fribl.co/api/v1/cvs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-service.fribl.co/api/v1/cvs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-service.fribl.co/api/v1/cvs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-service.fribl.co/api/v1/cvs")
.header("x-api-key", "<api-key>")
.asString();{
"message": "<string>",
"length": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"information": {
"first_name": "John",
"last_name": "Doe",
"email": [
"john@example.com"
],
"phone": [
"+31612345678"
],
"linkedin": "https://linkedin.com/in/johndoe",
"github": "https://github.com/johndoe",
"website": "https://johndoe.com",
"address": {
"city": "Amsterdam",
"country": "Netherlands"
}
},
"experience": [
{
"title": "Senior Software Engineer",
"activity_sector": "Technology",
"description": "Led development of microservices architecture",
"duration": 36,
"start_date": "2020-01",
"end_date": "2023-01"
}
],
"education": [
{
"degree": "Master of Science",
"major": "Computer Science",
"score": "Cum Laude",
"institution_name": "University of Amsterdam",
"start_date": "2015-09",
"end_date": "2017-06"
}
],
"skill_descriptions": [
"<string>"
],
"source_language": "<string>",
"hard_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"soft_skills": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill": "JavaScript",
"explanation": "Candidate demonstrates strong JavaScript proficiency"
}
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10,
"has_more": true
}
}{
"error": "<string>"
}Authorizations
API key in UUID format. Include this header with every authenticated request.
Query Parameters
Maximum number of CVs to return per page.
Number of CVs to skip before starting to return results. Use in combination with limit for pagination.
⌘I